Subject: bug#4147: 23.1.50: Info-search command strange behaviour

From: Juri Linkov <[email-masked]>
Date: Sat, 05 Dec 2009 02:48:27 +0200

>>     s blahblah RET
>>     => Says it can't find it, but moves point forward a few characters.
>
> I suppose something like the attached patch should cure that.

This patch works only when initially point was in the Top node,
and fails in other nodes.

The odd behavior when point moves forward by a few characters
is caused by breadcrumbs inserted to the Info buffer (the distance
point moves forward is the length of the breadcrumbs string).

Setting `Info-breadcrumbs-depth' to 0 fixes this problem.
But it is difficult to fix this when `Info-breadcrumbs-depth' > 0.

>> Go back to the Info directory:
>>     d
>> Search:
>>     s blahblah RET
>>     => Says "Wrong type argument: stringp, nil"
>
> FWIW this happens because in the
>
> 	      (with-current-buffer (marker-buffer Info-tag-table-marker)
>
> form `Info-tag-table-marker' is nil and `with-current-buffer' expects
> either a valid buffer or a string naming a buffer.  I don't know how
> Info tags are handled so I leave this to someone more knowledgeable.

For unknown reasons, `Info-current-subfile' is not nil in `dir'.
I'll take care of this bug.

-- 
Juri Linkov
http://www.jurta.org/emacs/